<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::cmd_line_parser_kernel_c&lt; clp_base &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1cmd__line__parser__kernel__c.html">cmd_line_parser_kernel_c</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classdlib_1_1cmd__line__parser__kernel__c-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::cmd_line_parser_kernel_c&lt; clp_base &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::cmd_line_parser_kernel_c&lt; clp_base &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1cmd__line__parser__kernel__c.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a3294430814a79e9cb819fe1e87184203"><td class="memItemLeft" align="right" valign="top"><a id="a3294430814a79e9cb819fe1e87184203"></a>
typedef clp_base::char_type&#160;</td><td class="memItemRight" valign="bottom"><b>char_type</b></td></tr>
<tr class="separator:a3294430814a79e9cb819fe1e87184203"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac27bda661afda5d640335f65d27400e5"><td class="memItemLeft" align="right" valign="top"><a id="ac27bda661afda5d640335f65d27400e5"></a>
typedef clp_base::string_type&#160;</td><td class="memItemRight" valign="bottom"><b>string_type</b></td></tr>
<tr class="separator:ac27bda661afda5d640335f65d27400e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8f0eb6ec42ecfde763626643ecd8cc"><td class="memItemLeft" align="right" valign="top"><a id="aee8f0eb6ec42ecfde763626643ecd8cc"></a>
typedef clp_base::option_type&#160;</td><td class="memItemRight" valign="bottom"><b>option_type</b></td></tr>
<tr class="separator:aee8f0eb6ec42ecfde763626643ecd8cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad6ac26964c8041ef77937dd3715170f7"><td class="memItemLeft" align="right" valign="top"><a id="ad6ac26964c8041ef77937dd3715170f7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_option</b> (const string_type &amp;name, const string_type &amp;description, unsigned long number_of_arguments=0)</td></tr>
<tr class="separator:ad6ac26964c8041ef77937dd3715170f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0084294727a9c7ef425c0767839dacd1"><td class="memItemLeft" align="right" valign="top"><a id="a0084294727a9c7ef425c0767839dacd1"></a>
const option_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>option</b> (const string_type &amp;name) const</td></tr>
<tr class="separator:a0084294727a9c7ef425c0767839dacd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ad5f742675147016c58c11cf4ae8a4f"><td class="memItemLeft" align="right" valign="top"><a id="a9ad5f742675147016c58c11cf4ae8a4f"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>number_of_arguments</b> () const</td></tr>
<tr class="separator:a9ad5f742675147016c58c11cf4ae8a4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f33f5b4676433761c92161fe78d4364"><td class="memItemLeft" align="right" valign="top"><a id="a9f33f5b4676433761c92161fe78d4364"></a>
const option_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>element</b> () const</td></tr>
<tr class="separator:a9f33f5b4676433761c92161fe78d4364"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3cb748ab1d3aad14a40131ab1054cc3"><td class="memItemLeft" align="right" valign="top"><a id="ae3cb748ab1d3aad14a40131ab1054cc3"></a>
option_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>element</b> ()</td></tr>
<tr class="separator:ae3cb748ab1d3aad14a40131ab1054cc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32528ee845796bda9a6bb9cbe04b71b9"><td class="memItemLeft" align="right" valign="top"><a id="a32528ee845796bda9a6bb9cbe04b71b9"></a>
const string_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (unsigned long N) const</td></tr>
<tr class="separator:a32528ee845796bda9a6bb9cbe04b71b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="cmd__line__parser__kernel__c_8h_source.html">cmd_line_parser_kernel_c.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
